dnl ####################### -*- Mode: M4 -*- ###########################
dnl configure.in -- Process this file with autoconf to produce a
dnl                 configure script.
dnl 
dnl Copyright (C) 2000 Matthew D. Langston <langston@SLAC.Stanford.EDU>
dnl
dnl This file is free software; you can redistribute it and/or modify it
dnl under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl This file is distributed in the hope that it will be useful, but
dnl WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
dnl General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this file; if not, write to:
dnl
dnl   Free Software Foundation, Inc.
dnl   Suite 330
dnl   59 Temple Place
dnl   Boston, MA 02111-1307, USA.
dnl ####################################################################

dnl Process this file with autoconf to produce a configure script.
AC_REVISION()
AC_INIT(include/MyAnalysis/A_LR.hxx)
AC_CONFIG_AUX_DIR(config)
AM_INIT_AUTOMAKE(my_analysis, 1.0.0)

AC_CYGWIN
AC_OBJEXT
AC_EXEEXT

dnl Checks for programs.
AC_PROG_CXX

dnl Add support for shared libraries.
AM_DISABLE_STATIC
AM_PROG_LIBTOOL

dnl Make sure ROOT is installed.
MDL_HAVE_ROOT

changequote(, )dnl
ROOT_RPATH=`echo $ROOT_LIBS | sed -n -e 's/-L\([^ ][^ ]*\).*$/-Wl,-rpath,\1/p'`
changequote([, ])dnl

AC_SUBST(ROOT_RPATH)

AC_OUTPUT( \
           Makefile                        \
           config/Makefile                 \
           config/m4/Makefile              \
           include/Makefile                \
           include/MyAnalysis/Makefile     \
           lib/Makefile                    \
           macros/Makefile                 \
           src/Makefile                    \
           tests/Makefile                  \
)
